Bug 246500 - devel/llvm*: Avoid Sphinx conflicts when not using Poudriere
Summary: devel/llvm*: Avoid Sphinx conflicts when not using Poudriere
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Danilo G. Baio
URL: https://bugs.llvm.org/show_bug.cgi?id...
Keywords:
Depends on:
Blocks: 246487
  Show dependency treegraph
 
Reported: 2020-05-16 13:09 UTC by Danilo G. Baio
Modified: 2020-05-18 21:56 UTC (History)
1 user (show)

See Also:
brooks: maintainer-feedback+


Attachments
llvm-all-sphinx.patch (7.62 KB, patch)
2020-05-16 13:09 UTC, Danilo G. Baio
dbaio: maintainer-approval? (brooks)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2020-05-16 13:09:00 UTC
Created attachment 214548 [details]
llvm-all-sphinx.patch

This patch lets devel/llvm* ports be built with newer Sphinx.

As devel/llvm are required by many ports, we are facing conflicts with sphinx18 (v.1.8X) and sphinx (v.3.X) when not using Poudriere for building ports.

This is happening after the Sphinx upgrade in ports r534966.

Tests: 
  All ports building with default options
  devel/llvm10
  devel/llvm60
  devel/llvm70
  devel/llvm80
  devel/llvm90
  devel/llvm-cheri
  devel/llvm-devel

devel/llvm-cheri is deprecated and as it uses just Python 2.7, this patch wasn't necessary, but I included it anyway for consistency with the other llvm ports.
Comment 1 Chris Hutchinson 2020-05-17 22:34:54 UTC
I can confirm that the patch attached to this pr
worked for me in the following context:

Fresh install of
FreeBSD 13.0-CURRENT FreeBSD 13.0-CURRENT #0 r361107 amd64

and a fresh co of /usr/ports @
Repository UUID: 35697150-7ecd-e111-bb59-0022644237b5
Revision: 535355
Last Changed Author: jbeich
Last Changed Rev: 535355
Last Changed Date: 2020-05-15 23:31:07 -0700 (Fri, 15 May 2020)

Thanks, Danilo!

--Chris
Comment 2 Brooks Davis freebsd_committer 2020-05-18 16:45:14 UTC
This looks fine, feel free to commit.  Please do submit this upstream to LLVM.
Comment 3 commit-hook freebsd_committer 2020-05-18 21:50:39 UTC
A commit references this bug:

Author: dbaio
Date: Mon May 18 21:50:31 UTC 2020
New revision: 535791
URL: https://svnweb.freebsd.org/changeset/ports/535791

Log:
  devel/llvm*: Upgrade Sphinx dependency to 3.X

  This avoids conflicts between Sphinx ports when not using Poudriere.

  PR:		246500
  Approved by:	brooks (maintainer)

Changes:
  head/devel/llvm-cheri/Makefile
  head/devel/llvm-devel/Makefile
  head/devel/llvm10/Makefile
  head/devel/llvm60/Makefile
  head/devel/llvm70/Makefile
  head/devel/llvm80/Makefile
  head/devel/llvm90/Makefile
  head/textproc/py-recommonmark/Makefile
Comment 4 Danilo G. Baio freebsd_committer 2020-05-18 21:55:37 UTC
(In reply to Brooks Davis from comment #2)

Thank you!